#
# $Id: alterator-network.spec,v 1.31 2005/10/19 13:47:06 inger Exp $ 
#
%define backend simple_etcnet
%define _altdata_dir %_datadir/alterator

Name: alterator-network
Version: 0.5
Release: alt5

Source:%name-%version.tar.bz2

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: alterator consolehelper libpam-devel


Summary: simple alterator module for network administration
License: GPL
Group: System/Configuration/Other
BuildArch: noarch

Requires: alterator >= 1.99-alt41, consolehelper, dbus-tools
Requires: alterator-backend-%backend

%description
simple alterator module for network administration

%package -n alterator-backend-%backend
Summary: simple alterator backend for network administration
Group: System/Configuration/Other
Requires: etcnet

%description -n alterator-backend-%backend
simple alterator backend for network administration


%description
simple alterator backend for network administration

%prep
%setup -q

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

%__install -Dpm644 %name.menu %buildroot/%_menudir/%name

#install consolehelper
obj=config-network
%__install -d %buildroot/%_bindir
%__ln_s %_libdir/helper/consolehelper %buildroot%_bindir/$obj
%__install -d %buildroot%_sysconfdir/pam.d/

cat>%buildroot%_sysconfdir/pam.d/$obj<<EOF
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	required	pam_stack.so service=system-auth
account	required	pam_permit.so
password	required	pam_deny.so
session	optional	pam_xauth.so
EOF

%__install -d %buildroot%_sysconfdir/security/console.apps/
cat>%buildroot%_sysconfdir/security/console.apps/$obj<<EOF
USER=root
PROGRAM=%_sbindir/$obj
SESSION=true
FALLBACK=true
EOF

%post
%update_menus
%postun
%clean_menus


%files -f %name.lang
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_bindir/*
%_sbindir/*
%_altdata_dir/maps/*
%_altdata_dir/layouts/*
%_altdata_dir/help/*/*
%_altdata_dir/ui/*/
%_alterator_modeldir/*
%_menudir/*
%_iconsdir/*.png
%_miconsdir/*.png
%_liconsdir/*.png

%files -n alterator-backend-%backend
%_bindir/*
%_alterator_backenddir/*


%changelog
* Wed Oct 19 2005 Stanislav Ievlev <inger@altlinux.org> 0.5-alt5
- added icons

* Tue Oct 04 2005 Stanislav Ievlev <inger@altlinux.org> 0.5-alt4
- updated help

* Wed Aug 31 2005 Stanislav Ievlev <inger@altlinux.org> 0.5-alt3
- use generic make templates

* Fri Aug 19 2005 Stanislav Ievlev <inger@altlinux.org> 0.5-alt2
- code improvements

* Mon Aug 08 2005 Stanislav Ievlev <inger@altlinux.org> 0.5-alt1
- added splash message for waiting during network restart

* Fri Aug 05 2005 Stanislav Ievlev <inger@altlinux.org> 0.4-alt6
- update to new alterator

* Mon Aug 01 2005 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- Belarusian translation

* Thu Jul 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- backend fixes
- rename network-config to config-network

* Wed Jul 20 2005 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- updates

* Tue Jul 19 2005 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- minor updates

* Thu Jul 07 2005 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- adopted for new alterator engine

* Tue Jun 28 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt6
- updates for new function names

* Tue Jun 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt5
- use external error messages
- added standalone version

* Mon Jun 20 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt4
- bugfixes

* Thu Jun 16 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt3
- adopted for new look

* Tue Jun 14 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- adopted for new look

* Tue Jun 07 2005 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- improvements

* Mon Jun 06 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt12
- new scheme for uris

* Tue May 31 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt11
- new snapshot

* Fri May 27 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt10
- terminology fixes (kirill@)

* Thu May 26 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt9
- for developers only: ported to new look

* Wed May 25 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt8
- for developers only: testing new look

* Wed May 04 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt7
- new shapshot

* Wed Apr 27 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt6
- new snapshot

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt5
- improved files layout

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt4
- DHCP improvements, bugfixes
- changed backend format

* Wed Apr 13 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt3
- minor improvements

* Tue Apr 12 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.1-alt2
- save entered values on failure
- added support for DHCP

* Tue Apr 05 2005 Anton Farygin <rider@altlinux.ru> 0.2.1-alt1
- fixed ifaceinfo for correct work with pciscan

* Mon Apr 04 2005 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- move ui and model tarballs here

* Mon Mar 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial release
